## bacula-doc 13.0.4+debian1

=== debian/changelog ===
bacula-doc (13.0.4+debian1-1) unstable; urgency=medium

  [ Sven Hartge ]
  * New upstream version 13.0.4
  * Update patches

  [ Carsten Leonhardt ]
  * Source changed significantly (Closes: #1073463).
  * Repack upstream source to not include premade files and vendored
    latex2html versions (Closes: #1043816).
  * Do not ship HTML versions of the documentation as that seems to need
    the vendored, modified version of latex2html now.

 -- Carsten Leonhardt <leo@debian.org>  Sun, 24 Nov 2024 14:36:16 +0100
