=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# needed for latex2html
export TEXINPUTS=`pwd`/latex

# see https://tests.reproducible-builds.org/debian/issues/unstable/timestamps_in_ps_generated_by_dvips_issue.html
export FORCE_SOURCE_DATE := 1

%:
	dh $@ --no-parallel


# check result manually!
update-copyright:  LICENSE debian/template.copyright
	cp debian/template.copyright debian/copyright
# take copyright statement from the LICENSE file
	grep "^Copyright (C)" LICENSE | head -n 1 >> debian/copyright
	echo "\nLicense:" >> debian/copyright
# add the license file
	cat LICENSE >> debian/copyright
# remove trailing whitespaces
	wrap-and-sort -f debian/copyright
