## bacula-doc 15.0.2+debian1

=== debian/changelog ===
bacula-doc (15.0.2+debian1-2) unstable; urgency=medium

  * Complies to standards version to 4.7.2.
  * Backport fixes from upstream:
      - Missing volume encryption chapter
      - SyncOnClose default value changed to yes
  * Add fix for volume encryption chapter

 -- Carsten Leonhardt <leo@debian.org>  Fri, 28 Feb 2025 15:45:03 +0100

bacula-doc (15.0.2+debian1-1) unstable; urgency=low

  * Complies to standards version to 4.7.0.
  * Upload to unstable.

 -- Carsten Leonhardt <leo@debian.org>  Thu, 20 Feb 2025 00:27:24 +0100

bacula-doc (15.0.2+debian1-1~exp1) experimental; urgency=medium

  * New upstream version 15.0.2

 -- Carsten Leonhardt <leo@debian.org>  Sat, 30 Nov 2024 15:04:34 +0100
