=== debian/changelog ===
bacula-doc (15.0.3+debian1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Update gbp.conf for bookworm-backports

 -- Carsten Leonhardt <leo@debian.org>  Fri, 04 Apr 2025 00:47:24 +0200

bacula-doc (15.0.3+debian1-1) unstable; urgency=medium

  [ Sven Hartge ]
  * New upstream version 15.0.3
  * Fix gbp.conf DEFAULT block.
  * Remove patches applied upstream, refresh the rest

  [ Carsten Leonhardt ]
  * Fix missing/confused doc-base files

 -- Carsten Leonhardt <leo@debian.org>  Sat, 29 Mar 2025 00:39:51 +0100
