=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  texlive-latex-extra,
  texlive-latex-recommended (>=2018.20190122),
  texlive-plain-generic,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/bacula-team/bacula-docs
 Vcs-Git: https://salsa.debian.org/bacula-team/bacula-docs.git
