=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 
 # see https://tests.reproducible-builds.org/debian/issues/unstable/timestamps_in_ps_generated_by_dvips_issue.html
 export FORCE_SOURCE_DATE := 1
+
+# toggle build to verbose
+export BUILD_VERBOSE := 1
 
 %:
 	dh $@ --no-parallel
